# NV::Rules::ISourceInfo Class Reference
[NvRules Python garbage-collected classes.]

SourceInfo interface. More...

## Public Member Functions
virtual const char * | file_name ()=0
| Get the file name.
virtual uint32_t | line ()=0
| Get the file line.

## Detailed Description

Represents the source correlation info for a specific function address within an action

## Member Function Documentation

virtual const char* NV::Rules::ISourceInfo::file_name | ( |  | ) | `[pure virtual]`

Get the file name, as embedded in the correlation info

virtual uint32_t NV::Rules::ISourceInfo::line | ( |  | ) | `[pure virtual]`

Get the line within file_name